Bug 1573109 - squashfs-tools: Partial build flags injection
Summary: squashfs-tools: Partial build flags injection
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: squashfs-tools
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Bruno Wolff III
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: Fedora28BuildFlags
TreeView+ depends on / blocked
 
Reported: 2018-04-30 08:20 UTC by Florian Weimer
Modified: 2019-06-06 02:34 UTC (History)
3 users (show)

Fixed In Version: squashfs-tools-4.3-20.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-23 17:48:44 UTC
Type: Bug


Attachments (Terms of Use)

Description Florian Weimer 2018-04-30 08:20:19 UTC
squashfs-tools-4.3-16.fc28.x86_64 linked /usr/sbin/mksquashfs and /usr/sbin/unsquashfs without the standard Fedora linker flags (LDFLAGS) from redhat-rpm-config.

Looking at the build log, there is no LDFLAGS injection at all.

See https://src.fedoraproject.org/rpms/redhat-rpm-config/blob/master/f/buildflags.md for information on RPM macros and environment variables provided by the build environment.

Comment 1 Ben Cotton 2019-05-02 21:53:39 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Bruno Wolff III 2019-05-21 07:56:43 UTC
Thanks for catching this. I'll have fixes for f29 and f30 tonight. Probably rawhide too, though I had started some stuff there to get some other changes and may not go back or forward enough to get this fix in tonight.

Comment 3 Fedora Update System 2019-05-21 08:03:00 UTC
squashfs-tools-4.3-20.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-accdc3a5f3

Comment 4 Fedora Update System 2019-05-21 08:18:41 UTC
squashfs-tools-4.3-20.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-852102b3ba

Comment 5 Fedora Update System 2019-05-22 01:44:05 UTC
squashfs-tools-4.3-20.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-accdc3a5f3

Comment 6 Fedora Update System 2019-05-22 12:29:21 UTC
squashfs-tools-4.3-20.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-852102b3ba

Comment 7 Fedora Update System 2019-05-23 17:48:44 UTC
squashfs-tools-4.3-20.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2019-06-06 02:34:43 UTC
squashfs-tools-4.3-20.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.